package holeg.model;

import holeg.power_flow.ComplexNumber;

import java.util.List;

public interface GridNode {
    List<GridEdge> getEdges();

    NodeType getType();
    ComplexNumber getPowerConsumption();
    ComplexNumber getPowerGeneration();

    void setVoltage(double voltage);
    void setPhase(double phaseDegrees);
    void setCurrent(double current);
    void setType(NodeType type);
}
